Summary:	The boot loader for Linux and other operating systems.
Name:		lilo
Version:	21.4.4
Release:	1.3.1
Copyright:	MIT
Group:		System Environment/Base
Source0:	ftp://metalab.unc.edu/pub/Linux/system/boot/lilo/%{name}-%{version}.tar.gz
Source1:	keytab-lilo.c
Source2:	lilo.msg-1.5.1
Patch0:		lilo-21.4.4-graphical.patch
Patch1:		lilo-0.21-enableflame.patch
Patch2:		lilo-0.21-broken.patch
Patch3:		lilo-21.4.4-sa5300.patch
Patch4:		lilo-21.4.4-boot.patch
Patch5:		lilo-21.4.4-i2o.patch
Patch6:		lilo-21.4.4-unsafe.patch
Patch7:		lilo-21.4.4-Makefile.patch
Patch8:		lilo-21.4.4-ac-buildfix-gd-1.diff
Buildroot:	%{_tmppath}/%{name}-%{release}-root
Requires:	mkinitrd

%description
LILO (LInux LOader) is a basic system program which boots your Linux
system.  LILO loads the Linux kernel from a floppy or a hard drive,
boots the kernel and passes control of the system to the kernel.  LILO
can also boot other operating systems.

%prep
%setup -q
%patch0 -p1
#%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
  make 
  gcc $RPM_OPT_FLAGS -o keytab-lilo %{SOURCE1}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/usr
  make install ROOT=$RPM_BUILD_ROOT
  mv $RPM_BUILD_ROOT/usr/sbin $RPM_BUILD_ROOT/usr/bin
  install keytab-lilo $RPM_BUILD_ROOT/usr/bin
  install %{SOURCE2}  $RPM_BUILD_ROOT/boot/boot.msg

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
  %defattr(-,root,root)
  %doc README CHANGES COPYING INCOMPAT QuickInst

  %attr(0600,root,root)	/boot/boot.b
  %attr(0600,root,root)	/boot/chain.b
  %attr(0600,root,root)	/boot/os2_d.b
  %attr(0600,root,root)	/boot/boot.msg
  %attr(0700,root,root)	%{_root_sbindir}/lilo
  %attr(0700,root,root)	%{_bindir}/keytab-lilo

%changelog
* Fri Apr 18 2003 Nicholas DeClario <nick@guardiandigital.com>
- Release 1.3.1
  - Updated LILO boot message

* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Fri Feb 21 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 21.4.4, Release 1.5.1
  - Don't build docs.
  - Ryan-ize and clean up spec file.
  - Tighten up file permissions.

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).
  - Add fix (Patch #11) for building on our new 2.4 kernel.

* Mon May 20 2002 Nicholas DeClario <nick@guardiandigital.com>
- Version 21.4.4, Release 1.2.2 
  - Fixed typo in lilo.msg (boot message)

* Tue Apr 23 2002 Nicholas DeClario <nick@guardiandigital.com>
- Release 1.2.1
  - Changed boot message text to reflect 1.2 version number

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).
  - Removed pre-EnGarde changelog.

* Mon Nov 26 2001 Nick DeClario <nick@guardiandigital.com
- Version 21.4.4, 1.1.2
  - Changed EnGarde Secure Linux to EnGarde Secure Professional
    in LILO boot message (lilo.msg)

* Fri Oct 26 2001 Nick DeClario <nick@guardiandigital.com
- Version 21.4.4, 1.1.1
  - Updated boot message text to reflect ESL v1.1

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 21.4.4, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Thu Mar 29 2001 Nicholas DeClario <nick@guardiandigital.com>
- ported to work with EnGarde
- Removed exlusivearch i386 line
